using DinerContracts.BindingModels;
using DinerContracts.SearchModels;
using DinerContracts.ViewModels;

namespace DinerContracts.StoragesContracts
{
    public interface ISnackStorage
    {
        List<SnackViewModel> GetFullList();
        List<SnackViewModel> GetFilteredList(SnackSearchModel model);
        SnackViewModel? GetElement(SnackSearchModel model);
        SnackViewModel? Insert(SnackBindingModel model);
        SnackViewModel? Update(SnackBindingModel model);
        SnackViewModel? Delete(SnackBindingModel model);

    }
}
